package com.gingersoft.gsa.cloud.main.mvp.model.bean;

public class BusinessDetailsBean {

    /**
     * success : true
     * sysTime : 1583995203737
     * data : {"prices":7749,"scamount":0,"disamount":0,"rounding":0,"payamount":0,"tipsPrice":0,"totamount":9025,"totalMeals":9025,"takeawayTotal":0}
     */

    private boolean success;
    private long sysTime;
    private DataBean data;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public long getSysTime() {
        return sysTime;
    }

    public void setSysTime(long sysTime) {
        this.sysTime = sysTime;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * //#項目銷售總數
         * private double prices;
         * //服務費
         * private double scamount;
         * //折扣
         * private double disamount;
         * //賬單小數
         * private double rounding;
         * //簽單
         * private double payamount;
         * //貼士
         * private double tipsPrice;
         * //賬單金額總數
         * private double totamount;
         * //堂食總數
         * private double totalMeals;
         * //外賣總數
         * private double takeawayTotal;
         */
        private double prices;
        private double scamount;
        private double disamount;
        private double rounding;
        private double payamount;
        private double tipsPrice;
        private double totamount;
        private double totalMeals;
        private double takeawayTotal;
        private int num;//賬單數
        private int person;//人數

        public double getPrices() {
            return prices;
        }

        public void setPrices(double prices) {
            this.prices = prices;
        }

        public double getScamount() {
            return scamount;
        }

        public void setScamount(double scamount) {
            this.scamount = scamount;
        }

        public double getDisamount() {
            return disamount;
        }

        public void setDisamount(double disamount) {
            this.disamount = disamount;
        }

        public double getRounding() {
            return rounding;
        }

        public void setRounding(double rounding) {
            this.rounding = rounding;
        }

        public double getPayamount() {
            return payamount;
        }

        public void setPayamount(double payamount) {
            this.payamount = payamount;
        }

        public double getTipsPrice() {
            return tipsPrice;
        }

        public void setTipsPrice(double tipsPrice) {
            this.tipsPrice = tipsPrice;
        }

        public double getTotamount() {
            return totamount;
        }

        public void setTotamount(double totamount) {
            this.totamount = totamount;
        }

        public double getTotalMeals() {
            return totalMeals;
        }

        public void setTotalMeals(double totalMeals) {
            this.totalMeals = totalMeals;
        }

        public double getTakeawayTotal() {
            return takeawayTotal;
        }

        public void setTakeawayTotal(double takeawayTotal) {
            this.takeawayTotal = takeawayTotal;
        }

        public int getNum() {
            return num;
        }

        public void setNum(int num) {
            this.num = num;
        }

        public int getPerson() {
            return person;
        }

        public void setPerson(int person) {
            this.person = person;
        }
    }
}
